Package de.gebit.integrity.values

## Class DSLValueConverters

- java.lang.Object
- - org.eclipse.xtext.conversion.impl.AbstractValueConverterService
  - - org.eclipse.xtext.conversion.impl.AbstractDeclarativeValueConverterService
    - - org.eclipse.xtext.common.services.DefaultTerminalConverters
      - - de.gebit.integrity.values.DSLValueConverters

- All Implemented Interfaces:
    `org.eclipse.xtext.conversion.IValueConverterService`, `org.eclipse.xtext.conversion.IValueConverterService.Introspectable`

      public class DSLValueConverters
      extends org.eclipse.xtext.common.services.DefaultTerminalConverters

  This class is autogenerated by XText and hasn't been extended yet.
  Author:
    Rene Schneider - initial API and implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.conversion.IValueConverterService

      `org.eclipse.xtext.conversion.IValueConverterService.Introspectable`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.xtext.conversion.impl.AbstractDeclarativeValueConverterService

      `defaultTerminalConverterFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DSLValueConverters()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.conversion.IValueConverter<BigDecimal>` | `DECIMAL()` |
    `org.eclipse.xtext.conversion.IValueConverter<BigInteger>` | `INTEGER()` |

    - ### Methods inherited from class org.eclipse.xtext.common.services.DefaultTerminalConverters

      `ID, INT, STRING, TerminalsID, TerminalsINT, TerminalsSTRING`

    - ### Methods inherited from class org.eclipse.xtext.conversion.impl.AbstractDeclarativeValueConverterService

      `getConverter, getConverters, getDefaultTerminalConverterFactory, getGrammar, internalRegisterForClass, isConfigurationMethod, recursiveRegisterForClass, registerEFactoryConverters, setDefaultTerminalConverterFactory, setGrammar, toString, toValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSLValueConverters

          public DSLValueConverters()

  - ### Method Detail

    - #### INTEGER

          public org.eclipse.xtext.conversion.IValueConverter<BigInteger> INTEGER()

    - #### DECIMAL

          public org.eclipse.xtext.conversion.IValueConverter<BigDecimal> DECIMAL()